Package fr.gouv.vitam.functionaltest.cucumber.service

# Class LogbookService

java.lang.Object
fr.gouv.vitam.functionaltest.cucumber.service.LogbookService

public class LogbookService extends Object
Logbook service containing common code for logbook

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LogbookEventOperation`
  `checkFinalStatusLogbook(World world, AccessExternalClient accessClient, int tenantId, String contractId, String applicationSessionId, String operationId, String status)`
  check on logbook if the global status is OK (status of the last event, if last event is correct)
  `RequestResponse<LogbookOperation>`
  `getLogbookOperation(AccessExternalClient accessClient, int tenantId, String contractId, String applicationSessionId, String operationId)`
  Get a Logbook operation by its id

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogbookService

    public LogbookService()

- ## Method Details

  - ### getLogbookOperation

    public RequestResponse<LogbookOperation> getLogbookOperation(AccessExternalClient accessClient, int tenantId, String contractId, String applicationSessionId, String operationId) throws VitamClientException
    Get a Logbook operation by its id
    Parameters:
      `accessClient` - access client
      `tenantId` - tenant id
      `contractId` - access contract id
      `applicationSessionId` - application session id
      `operationId` - logbook operation id
    Returns:
      RequestResponse
    Throws:
      `VitamClientException` - exception

  - ### checkFinalStatusLogbook

    public LogbookEventOperation checkFinalStatusLogbook(World world, AccessExternalClient accessClient, int tenantId, String contractId, String applicationSessionId, String operationId, String status) throws VitamClientException
    check on logbook if the global status is OK (status of the last event, if last event is correct)
    Parameters:
      `accessClient` - access client
      `tenantId` - tenant id
      `contractId` - access contract id
      `applicationSessionId` - application session id
      `operationId` - logbook operation id
      `status` - expected status
    Throws:
      `VitamClientException` - exception